<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesTratamiento.home.createOrEditLabel"
          data-cy="TratamientoCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesTratamiento.home.createOrEditLabel')"
        >
          Create or edit a Tratamiento
        </h2>
        <div>
          <div class="form-group" v-if="tratamiento.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="tratamiento.id" readonly />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesTratamiento.descripcionTratamiento')"
              for="tratamiento-descripcionTratamiento"
              >Descripcion Tratamiento</label
            >
            <textarea
              class="form-control"
              name="descripcionTratamiento"
              id="tratamiento-descripcionTratamiento"
              data-cy="descripcionTratamiento"
              :class="{ valid: !$v.tratamiento.descripcionTratamiento.$invalid, invalid: $v.tratamiento.descripcionTratamiento.$invalid }"
              v-model="$v.tratamiento.descripcionTratamiento.$model"
            ></textarea>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesTratamiento.fechaInicio')" for="tratamiento-fechaInicio"
              >Fecha Inicio</label
            >
            <div class="d-flex">
              <input
                id="tratamiento-fechaInicio"
                data-cy="fechaInicio"
                type="datetime-local"
                class="form-control"
                name="fechaInicio"
                :class="{ valid: !$v.tratamiento.fechaInicio.$invalid, invalid: $v.tratamiento.fechaInicio.$invalid }"
                :value="convertDateTimeFromServer($v.tratamiento.fechaInicio.$model)"
                @change="updateInstantField('fechaInicio', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesTratamiento.fechaFin')" for="tratamiento-fechaFin"
              >Fecha Fin</label
            >
            <div class="d-flex">
              <input
                id="tratamiento-fechaFin"
                data-cy="fechaFin"
                type="datetime-local"
                class="form-control"
                name="fechaFin"
                :class="{ valid: !$v.tratamiento.fechaFin.$invalid, invalid: $v.tratamiento.fechaFin.$invalid }"
                :value="convertDateTimeFromServer($v.tratamiento.fechaFin.$model)"
                @change="updateZonedDateTimeField('fechaFin', $event)"
              />
            </div>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.tratamiento.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./tratamiento-update.component.ts"></script>
